# Class: apachehibu
#
# This module manages apachehibu
#
# Parameters: none
#
# Actions:
#
# Requires: see Modulefile
#
# Sample Usage:
#
class apachehibu {
  package { "apache-mpm-prefork": ensure => installed }

  service { "apache2":
    enable  => true,
    ensure  => running,
    require => Package["apache2-mpm-prefork"],
  }

  file { "/etc/apache2/logs":
    ensure  => directory,
    require => Package["apache2-mpm-prefork"],
  }

  file { "/etc/apache2/conf.d/name-based-vhosts.conf":
    content => "Virtualapache *:80",
    require => Package["apache2-mpm-prefork"],
    notify  => Service["apache2"],
  }

}
